#include <HCSR04.h>

// from sample code
UltraSonicDistanceSensor distanceSensor(13, 12);  // Initialize sensor that uses digital pins 13 and 12.

#include <Adafruit_NeoPixel.h>

#define LEDPIN RGB_LED // connect the Data from the strip to this pin on the Arduino
#define NUMBER_PIEXELS 1 // the number of pixels in your LED strip
Adafruit_NeoPixel strip = Adafruit_NeoPixel(NUMBER_PIEXELS, LEDPIN, NEO_GRB + NEO_KHZ800);

int startTime = 0;

void setup() {

  // prep the strip
  strip.begin();

  // spit out status to serial for monitoring
  SerialUSB.begin(9600);
}

void loop() {
  // level the burner is set at
  int burnerLevel = analogRead(A0);
  // distance away from the stove
  int distance = distanceSensor.measureDistanceCm();
  int timePassed = 0;

  // spit out status to serial for monitoring
  SerialUSB.println(distance);
  SerialUSB.println(burnerLevel);

  if( (distance > 100) && (burnerLevel > 0) ){
    if( startTime == 0){
      startTime = millis();
      timePassed = 0;
    } else {
      timePassed = millis() - startTime;
    }
    SerialUSB.println(timePassed);
    if(timePassed > 5000){
      SerialUSB.println("DANGER!");
      strip.setPixelColor(0, strip.Color(255,0,0));
      strip.show();      
    }
  } else {
    startTime = 0;
    timePassed = 0;
    strip.setPixelColor(0, strip.Color(0,0,0));
    strip.show();
  }
  
  delay(500); // to slow things down for my brain...
}
